<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of AdminScrapingController
 *
 * @author scrapingbot
 */
class AdminScrapingController extends ModuleAdminController {
    public function __construct()
    {
        $this->bootstrap = true;
        $this->table = 'scrapingbot_price';
        $this->className = 'ScrapingbotPrice';
        $this->identifier = 'id_price';
        $this->addRowAction('view');
        $this->addRowAction('delete');
        $this->allow_export = true;
        $this->context = Context::getContext();

        $this->bootstrap = true;

        $this->_select = 'sp.name as platform, pl.name as product_name, 0 as price_final ';
        $this->_join = 'INNER JOIN '._DB_PREFIX_.'product_lang pl ON (pl.id_product = a.id_product AND pl.id_lang IN (0, '.$this->context->shop->id.'))'
            . ' INNER JOIN '._DB_PREFIX_.'scrapingbot_platform sp ON a.id_platform=sp.id_platform';

        $this->_orderBy = 'a.date_add';
        $this->_orderWay = 'DESC';

        $this->fields_list = array(
            'id_price' => array(
                'title' => $this->l('Id'),
                'align' => 'text-center',
                'class' => 'fixed-width-xs'
            ),
            'id_product' => array(
                'title' => $this->l('Id Product'),
                'type' => 'text',
                'filter_key' => 'a!id_product',
            ),
            'product_name' => array(
                'title' => $this->l('Product'),
                'type' => 'text',
                'filter_key' => 'pl!name',
            ),
            'platform' => array(
                'title' => $this->l('Platform'),
                'type' => 'text',
                'filter_key' => 'sp!name',
            ),
            'date_add' => array(
                'title' => $this->l('Last update'),
                'align' => 'text-center',
                'type' => 'datetime',
            ),
            'price' => array(
                'title' => $this->l('Current competitor\'s price'),
                'align' => 'text-center',
                'type' => 'price',
            ),
            'price_final' => array(
                'title' => $this->l('My Price'),
                'type' => 'price',
                'align' => 'text-right',
                'havingFilter' => true,
                'orderby' => false,
                'search' => false
            )
        );

        parent::__construct();
    }

    public function getList($id_lang, $orderBy = null, $orderWay = null, $start = 0, $limit = null, $id_lang_shop = null)
    {
        $orderByPriceFinal = (empty($orderBy) ? ($this->context->cookie->__get($this->table.'Orderby') ? $this->context->cookie->__get($this->table.'Orderby') : 'id_'.$this->table) : $orderBy);
        $orderWayPriceFinal = (empty($orderWay) ? ($this->context->cookie->__get($this->table.'Orderway') ? $this->context->cookie->__get($this->table.'Orderby') : 'ASC') : $orderWay);
        if ($orderByPriceFinal == 'price_final') {
            $orderBy = 'id_'.$this->table;
            $orderWay = 'ASC';
        }
        parent::getList($id_lang, $orderBy, $orderWay, $start, $limit, $this->context->shop->id);

        /* update product quantity with attributes ...*/
        $nb = count($this->_list);
        if ($this->_list) {
            $context = $this->context->cloneContext();
            $context->shop = clone($context->shop);
            /* update product final price */
            for ($i = 0; $i < $nb; $i++) {
                if (Context::getContext()->shop->getContext() != Shop::CONTEXT_SHOP) {
                    $context->shop = new Shop((int)$this->_list[$i]['id_shop_default']);
                }

                // convert price with the currency from context
                $this->_list[$i]['price'] = Tools::convertPrice($this->_list[$i]['price'], $this->context->currency, true, $this->context);
                $this->_list[$i]['price_tmp'] = Product::getPriceStatic($this->_list[$i]['id_product'], true, null,
                    (int)Configuration::get('PS_PRICE_DISPLAY_PRECISION'), null, false, true, 1, true, null, null, null, $nothing, true, true,
                    $context);
            }
        }

        if ($orderByPriceFinal == 'price_final') {
            if (strtolower($orderWayPriceFinal) == 'desc') {
                uasort($this->_list, 'cmpPriceDesc');
            } else {
                uasort($this->_list, 'cmpPriceAsc');
            }
        }
        for ($i = 0; $this->_list && $i < $nb; $i++) {
            $this->_list[$i]['price_final'] = $this->_list[$i]['price_tmp'];
            unset($this->_list[$i]['price_tmp']);
        }
    }
    public function renderView()
    {
        if (($obj = $this->loadObject(true)) && Validate::isLoadedObject($obj)) {
            if (version_compare(_PS_VERSION_, '1.7.0', '>=')) {
                $link = $this->context->link->getAdminLink('AdminProducts', false, array('id_product' => $obj->id_product));
            }else {
                $link = $this->context->link->getAdminLink('AdminProducts', true) . '&id_product=' . $obj->id_product . '&updateproduct';
            }

            Tools::redirectAdmin($link);
        }
    }
    public function renderForm()
    {
        $link = $this->context->link->getAdminLink('AdminPlatform');
        Tools::redirectAdmin($link);
    }

    protected function l($string, $class = null, $addslashes = false, $htmlentities = true)
    {
        if ( _PS_VERSION_ >= '1.7') {
            return Context::getContext()->getTranslator()->trans($string);
        } else {
            return parent::l($string, $class, $addslashes, $htmlentities);
        }
    }
}
