{*
 * 2019-2020 Scraping-bot
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to modules-prestashop@laposte.fr so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to a newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    scrapingbot <support@scrapingbot>
 *  @copyright 2019-2020 Scraping-bot
 *  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 *  International Registered Trademark & Property of La Poste SA
*}
<div class="panel">
    <div class="row scrapingbot">
        <div class="col-lg-3 text-center logo">
            <img style="max-width: 100%" src="{$module_dir|escape:'html':'UTF-8'}views/img/scrapingbot.png" id="scrapingbot-logo" />
        </div>
        <div class="col-lg-6 about">
            <h4>{l s='About Scraping-Bot' mod='scrapingbot'} {$scrapingbot_version|escape:'htmlall':'UTF-8'}</h4>
                {l s='What to know how much your competitor’s are selling the same products for and be able to
                show (or not) if you have a better price. This Prestashop module will do just that for you on
                any number of products from any number of retail sites.' mod='scrapingbot'}
            <ul>
                <li><strong>{l s='Fast and reliable' mod='scrapingbot'}</strong><br />
                    {l s='This tool saves you a huge amount of time by allowing you automate competitor’s prices collection and compare it with your price.' mod='scrapingbot'}</li>
                <li><strong>{l s='Powerful features' mod='scrapingbot'}</strong><br />
                    {l s='ScrapingBot uses advance technology to avoid getting blocked by ecommerce websites. The
                    API is fully adapted to retail and collect the product price and the shipping fees.
                    Monitor your competitor’s prices and take action from your dashboard.
                    Additional functionalities :' mod='scrapingbot'}</li>
                    <ul>
                        <li>{l s='download price history' mod='scrapingbot'}</li>
                        <li>{l s='make visible on your website other reseller’s prices when higher than yours' mod='scrapingbot'}</li>
                    </ul>
                <li><strong>{l s='Visible advantage' mod='scrapingbot'}</strong><br />
                    {l s='Convince your potential buyers by showing them how reasonable your prices are! You can
                    choose to display your rival’s price on your product page if they are higher than yours.
                    You can also use this feature to bring up your prices while still remaining competitive and
                    bring in extra venue.' mod='scrapingbot'}</li>
                </ul>
        </div>

        <div class="col-lg-3 text-center support">
            <h4>{l s='Need support ?' mod='scrapingbot'}</h4>
            {l s='Check our documentation' mod='scrapingbot'}
            <h5><a href="{$module_dir|escape:'htmlall':'UTF-8'}/readme_{$lang}.pdf" target="_blank"><b> {l s='Clic here' mod='scrapingbot'}</b></a></h5>
            {l s='You\'ll find great tips to make the most of the module or drop us an email : ' mod='scrapingbot'} <a href="mailto:{l s='support@scraping-bot.io'}" title="{l s='Send a mail to'} {l s='support@scraping-bot.io'}">{l s='support@scraping-bot.io'}</a><br/>
            {l s='For information about pricing : ' mod='scrapingbot'}<a href="https://www.scraping-bot.io/pricing-scraping-bot-api/" target="_blank"><b>{l s='click here' mod='scrapingbot'}</b></a>
        </div>

    </div>
    <div class="row scrapingbot">
        <div class="col-lg-12 credit">
            <h4>{l s='Your subscription' mod='scrapingbot'}</h4>
            <p>{l s='Your are on :' mod='scrapingbot'} <span id="plan" style="font-weight: bold">{$plan}</span><br />
                {l s='For this month, you still have use :' mod='scrapingbot'} <span id="credit" style="font-weight: bold">{$credit}</span> / <span id="creditfrom" style="font-weight: bold">{$credit_from}</span> {l s='credits' mod='scrapingbot'}<br />
                <span class="warning {if ($credit_from-$credit)>0}hidden{/if}" style="color:red;" >{l s='You have no more credit' mod='scrapingbot'}</span>
            </p>
            <p><a href="https://www.scraping-bot.io/pricing-scraping-bot-api/" target="_blank">{l s='See our different offers' mod='scrapingbot'}</a></p>
        </div>
    </div>
</div>
{literal}
<script type="text/javascript">
    function getPlan() {
            $.ajax({
                type: 'post',
                headers: {"cache-control": "no-cache"},
                url: $('#URL_CONTROLER').val(),
                async: true,
                cache: false,
                dataType: "json",
                data: {
                    'action': 'plan',
                    'user': $('#SCRAPINGBOT_USER').val(),
                    'key': $('#SCRAPINGBOT_KEY').val(),
                },
                success: function (jsonData) {
                    if(typeof jsonData.planName != "undefinded"){
                        var  success = "connexion ok";
                            $('#plan').text(jsonData.planName);
                            $('#credit').text(jsonData.apiCallsConsumed);
                            $('#creditfrom').text(jsonData.apiCallsLimit);
                            if(parseInt(jsonData.percentage)==100){
                                $('.scrapingbot .warning').show();
                            }else{
                                $('.scrapingbot .warning').hide();
                            }
                            alert( success);
                    }else{
                        var error = 'ERROR: unable to connect api';
                        if (!!$.prototype.fancybox) {
                            $.fancybox.open([
                                {
                                    type: 'inline',
                                    autoScale: true,
                                    minHeight: 30,
                                    content: error
                                }
                            ], {
                                padding: 0
                            });
                        } else
                            alert(error);
                        return false;
                    }
                },
                error: function (XMLHttpRequest, textStatus, errorThrown) {
                    var error = 'ERROR: unable to load data';
                    if (!!$.prototype.fancybox) {
                        $.fancybox.open([
                            {
                                type: 'inline',
                                autoScale: true,
                                minHeight: 30,
                                content: error
                            }
                        ], {
                            padding: 0
                        });
                    } else
                        alert(error);
                    return false;
                }
            });
        }
</script>
    {/literal}
